Bug 853992 - Activate/Deactivate NIC on stopped VM fails with Error during CanDoActionFailure (NPE @ HotPlugUnplugVmNicCommand.canDoAction(HotPlugUnplugVmNicCommand.java:34))
Activate/Deactivate NIC on stopped VM fails with Error during CanDoActionFail...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: lpeer
GenadiC
network
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 09:55 EDT by GenadiC
Modified: 2016-02-10 14:57 EST (History)
8 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (931.81 KB, application/octet-stream)
2012-09-03 09:55 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-09-03 09:55:46 EDT
Created attachment 609396 [details]
engine log

Description of problem:
If you activate/deactivate NIC on the stopped VM, the action fails as a result of: Error during CanDoActionFailure


How reproducible:
Always

Steps to Reproduce:
1. Create the new VM or stop running VM with several VNICs
2. Activate or Deactivate VNICs
  
Actual results:
The action fails with CanDoActionFailure

Expected results:
The action should succeed

Additional info:
2012-09-03 16:32:21,298 ERROR [org.ovirt.engine.core.bll.HotPlugUnplugVmNicCommand] (ajp-/127.0.0.1:8009-1) Error during CanDoActionFailure.: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.HotPlugUnplugVmNicCommand.canDoAction(HotPlugUnplugVmNicCommand.java:34) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.InternalCanDoAction(CommandBase.java:496) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.CanDoActionOnly(CommandBase.java:251) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.Execute(MultipleActionsRunner.java:77) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:439) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:453) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunMultipleActions(Backend.java:414) [engine-bll.jar:]
        at sun.reflect.GeneratedMethodAccessor166.invoke(Unknown Source) [:1.7.0_05-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_05-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_05-icedtea]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.2.Final-redh
at-1]
Comment 2 lpeer 2012-09-04 03:26:23 EDT
this bug was fixed  as part of BZ 850854,
by commit 59d17c6b29d444a812968e5f2e035786648da39a.
Comment 4 GenadiC 2012-09-06 07:23:17 EDT
Verified in SI17

Note You need to log in before you can comment on or make changes to this bug.